<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
<main>
    <h1>Q&A</h1>
    <div class="question">
        <h4>Як можна оголосити змінну у Javascript?</h4>
        <p>
            Можна оголосити трьома способами. За допомогою const, let і var.
            Наразі var застарілий метод і має проблеми з областю видимісті.
            Якщо змінна не буде змінюватись, то використовується const. При спробі змінити константу, буде помилка.
            Якщо змінна буде змінюватись, то використовується let.
        </p>

        <h4>У чому різниця між функцією prompt та функцією confirm?</h4>
        <p>
            І та і інша викликає модальне вікно у браузері, при цьому виконання скрипта призупиняється.
            Функція prompt призначена для введення користувачем даних, а функція confirm для підтвердження дії.
            У prompt значення повертається у вигляді рядка (або null, якщо користувач нічого не ввів),
            а у confirm у вигляді булевого значення.
            Треба бути уважним, бо навіть при введенні int значення, воно повернеться у вигляді рядка.
        </p>

        <h4>Що таке неявне перетворення типів? Наведіть один приклад.</h4>
        <p>
            Неявне перетворення типів - це перетворення типів, яке відбувається автоматично.
            Наприклад, при виконанні арифметичних операцій над рядками, вони перетворюються у числа. 4 + '3' = 0.
            Чи при конкаценації рядків і чисел, числа перетворюються у рядки. '4' + 3 = '43'.
            Також, при порівнянні різних типів, вони перетворюються у числа. '4' > 3 = true. (4 > 3 = true).
        </p>

    </div>
</main>


<script src="./js/script.js"></script>
</body>
</html>